### Method

# Template Scope set

#### Declaration

    void
    tmpl_scope_set (
      TmplScope* self,
      const gchar* name,
      TmplSymbol* symbol
    )

#### Description

If the symbol already exists, it will be overwritten.

If `symbol` is `NULL`, the symbol will be removed from scope.

#### Parameters

`name`

  Type: `const gchar*`

  The name of the symbol.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

`symbol`

  Type: `TmplSymbol`

  An `TmplSymbol` or `NULL`.

  The argument can be `NULL`.
  The data is owned by the caller of the method.